import { PGlite } from '@electric-sql/pglite';
import { drizzle } from 'drizzle-orm/pglite';

// src/pglite.ts
function createPgliteClient(opts = {}) {
  const client = opts.dataDir !== void 0 ? new PGlite(opts.dataDir) : new PGlite();
  return drizzle(client, { schema: opts.schema });
}

export { createPgliteClient };
